﻿@model IEnumerable<RailwayCashBox.DAL.Entities.TrainRoute>

@{
    ViewBag.Title = "Маршруты";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Маршруты</h2>

<p>
    @Html.ActionLink("Добавить новый маршрут", "CreateDetails")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Code)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StartDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StartStation)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.EndStation)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Code)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StartDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StartStation.Station.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.EndStation.Station.Name)
        </td>
        <td>
            @Html.ActionLink("Редактировать", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Детали", "Details", new { id=item.Id }) |
            @Html.ActionLink("Удалить", "Delete", new { id = item.Id }) |
            @Html.ActionLink("Показать расписание", "ShowSchedule", new {id = item.Id}) 
            
        </td>
    </tr>
}

</table>
